Page MenuHomePhabricator

Make several mediawiki table fields unsigned ints on wmf databases
Closed, ResolvedPublic

Description

After fix of T77005 and T157227 the patches should also be applied to wmf wikis to match the core tables.sql.

Schema Change:

All wikis
tables:

  • bot_passwords.bp_user (not unsigned)
  • change_tag.ct_log_id (not unsigned)
  • change_tag.ct_rev_id (not unsigned)
  • page_restrictions.pr_user (not unsigned)
  • tag_summary.ts_log_id (not unsigned)
  • tag_summary.ts_rev_id (not unsigned)
  • user_newtalk.user_id (not unsigned)
  • user_properties.up_user (not unsigned) changes: Set the field as unsigned

Mediawiki patches:
https://gerrit.wikimedia.org/r/190725 (patch file renamed in 350437)
https://gerrit.wikimedia.org/r/350437

Schema change progress:

  • s1
    • codfw
    • eqiad progress T89737#4275248 (only primary master pending, but it will be failed over the 18th July - so it will get done that day T197069)
  • s2
    • codfw
    • eqiad progress T89737#4312200 (only the master pending - will be done once eqiad is the passive DC)
  • s3
    • codfw
    • eqiad progress T89737#4394071 (only the master pending - will be done once eqiad is the passive DC)
  • s4
    • codfw
    • eqiad progress T89737#4270990 (only the master pending - will be done once eqiad is the passive DC)
  • s5
    • codfw
    • eqiad progress T89737#4248159 (only the master pending - will be done once eqiad is the passive DC)
  • s6
    • codfw
    • eqiad progress T89737#4260475 (only the master pending - will be done once eqiad is the passive DC)
  • s7
    • codfw
    • eqiad progress T89737#4387337 (only the master pending - will be done once eqiad is the passive DC)
  • s8
    • codfw
    • eqiad progress T89737#4320912 (only the master pending - will be done once eqiad is the passive DC)
  • wikitech
    • labswiki
    •  labtestwiki

Details

Related Gerrit Patches:
operations/mediawiki-config : masterdb-eqiad.php: Depool db1077
operations/mediawiki-config : masterdb-eqiad.php: Depool db1123
operations/mediawiki-config : masterdb-eqiad.php: Depool db1078
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090:3317
operations/mediawiki-config : masterdb-eqiad.php: Depool db1079
operations/mediawiki-config : masterdb-eqiad.php: Depool db1094
operations/mediawiki-config : masterdb-eqiad.php: Depool db1086
operations/mediawiki-config : masterdb-eqiad.php: Depool db1087
operations/mediawiki-config : masterdb-eqiad.php: Depool db1109
operations/mediawiki-config : masterdb-eqiad.php: Depool db1092
operations/mediawiki-config : masterdb-eqiad.php: Depool db1104
operations/mediawiki-config : masterdb-eqiad.php: Depool db1101:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3318
operations/mediawiki-config : masterdb-eqiad.php: Depool db1076
operations/mediawiki-config : masterdb-eqiad.php: Depool db1074
operations/mediawiki-config : masterdb-eqiad.php: Depool db1090:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3312
operations/mediawiki-config : masterdb-eqiad.php: Depool db1122
operations/mediawiki-config : masterdb-eqiad.php: Depool db1106
operations/mediawiki-config : masterdb-eqiad.php: Depool db1080
operations/mediawiki-config : masterdb-eqiad.php: Depool db1119
operations/mediawiki-config : masterdb-eqiad.php: Depool db1067
operations/mediawiki-config : masterdb-eqiad.php: Depool db1114
operations/mediawiki-config : masterdb-eqiad.php: Depool db1083
operations/mediawiki-config : masterdb-eqiad.php: Depool db1105:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1089
operations/mediawiki-config : masterdb-eqiad.php: Depool db1099:3311
operations/mediawiki-config : masterdb-eqiad.php: Depool db1121
operations/mediawiki-config : masterdb-eqiad.php: Depool db1091
operations/mediawiki-config : masterdb-eqiad.php: Depool db1084
operations/mediawiki-config : masterdb-eqiad.php: Depool db1081
operations/mediawiki-config : masterdb-eqiad.php: Depool db1103:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3314
operations/mediawiki-config : masterdb-eqiad.php: Depool db1113:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1088
operations/mediawiki-config : masterdb-eqiad.php: Depool db1085
operations/mediawiki-config : masterdb-eqiad.php: Depool db1093
operations/mediawiki-config : masterdb-eqiad.php: Depool db1098:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3316
operations/mediawiki-config : masterdb-eqiad.php: Depool db1110
operations/mediawiki-config : masterdb-eqiad.php: Depool db1100
operations/mediawiki-config : masterdb-eqiad.php: Depool db1097:3315
operations/mediawiki-config : masterdb-eqiad.php: Depool db1082
operations/mediawiki-config : masterdb-eqiad.php: Depool db1096:3315
operations/mediawiki-config : masterdb-eqiad.php: Depool db1113:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2066
operations/mediawiki-config : masterdb-codfw.php: Depool db2084:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2038
operations/mediawiki-config : masterdb-eqiad.php: Depool db2089:3315
operations/mediawiki-config : masterdb-codfw.php: Depool db2059

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Mentioned in SAL (#wikimedia-operations) [2018-06-27T08:35:26Z] <marostegui> Deploy schema change on db1074 with replication, this will generate lag on s2 on labsdb T191316 T192926 T89737 T195193

Change 442267 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1076

https://gerrit.wikimedia.org/r/442267

Change 442267 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1076

https://gerrit.wikimedia.org/r/442267

Mentioned in SAL (#wikimedia-operations) [2018-06-27T10:24:09Z] <marostegui> Deploy schema change on db1076 T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jun 27 2018, 11:24 AM

Mentioned in SAL (#wikimedia-operations) [2018-06-27T11:26:52Z] <marostegui> Deploy schema change on s8 codfw master (db2045) with replication, this will generate lag on s8 codfw T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jun 27 2018, 4:39 PM

Mentioned in SAL (#wikimedia-operations) [2018-06-27T16:39:23Z] <marostegui> Deploy schema change on dbstore1002:s8 T191316 T192926 T89737 T195193

Marostegui added a comment.EditedJun 28 2018, 4:38 AM

s8 eqiad progress

  • dbstore1002
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • db1109
  • db1104
  • db1124
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Jun 28 2018, 4:39 AM

Change 442758 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/442758

Change 442758 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1099:3318

https://gerrit.wikimedia.org/r/442758

Mentioned in SAL (#wikimedia-operations) [2018-06-28T04:46:19Z] <marostegui> Deploy schema change on db1099:3318 T191316 T192926 T89737 T195193

Change 442869 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/442869

Change 442869 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3318

https://gerrit.wikimedia.org/r/442869

Mentioned in SAL (#wikimedia-operations) [2018-06-28T15:01:53Z] <marostegui> Deploy schema change on db1101:3318 T191316 T192926 T89737 T195193

Change 443022 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/443022

Change 443022 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1104

https://gerrit.wikimedia.org/r/443022

Mentioned in SAL (#wikimedia-operations) [2018-06-29T05:02:02Z] <marostegui> Deploy schema change on db1104 T191316 T192926 T89737 T195193

Change 443067 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443067

Change 443067 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443067

Mentioned in SAL (#wikimedia-operations) [2018-06-29T10:20:01Z] <marostegui> Deploy schema change on db1092 T191316 T192926 T89737 T195193

Change 443345 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/443345

Change 443345 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1109

https://gerrit.wikimedia.org/r/443345

Mentioned in SAL (#wikimedia-operations) [2018-07-02T04:59:10Z] <marostegui> Deploy schema change on db1109 T191316 T192926 T89737 T195193

Change 443379 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1092

https://gerrit.wikimedia.org/r/443379

Change 443379 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1087

https://gerrit.wikimedia.org/r/443379

Mentioned in SAL (#wikimedia-operations) [2018-07-02T09:24:00Z] <marostegui> Deploy schema change on db1087 with replication, this will generate lag on s8 on labs T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jul 2 2018, 12:43 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-02T12:49:28Z] <marostegui> Deploy schema change on s7 codfw master (db2040) with replication, this will generate lag on s7 codfw T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jul 2 2018, 3:36 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-02T15:38:26Z] <marostegui> Deploy schema change on dbstore1002:s7 T191316 T192926 T89737 T195193 T197459

Marostegui added a comment.EditedJul 2 2018, 3:42 PM

s7 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • db1125
  • dbstore1002
  • db1079
  • db1086
  • db1090
  • db1094
  • db1098
  • db1101
  • db1062
Marostegui updated the task description. (Show Details)Jul 2 2018, 3:43 PM

Change 443537 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/443537

Change 443537 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1086

https://gerrit.wikimedia.org/r/443537

Mentioned in SAL (#wikimedia-operations) [2018-07-03T04:40:21Z] <marostegui> Deploy schema change on db1086 T191316 T192926 T89737 T195193 T197459

Change 443544 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/443544

Change 443544 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1094

https://gerrit.wikimedia.org/r/443544

Mentioned in SAL (#wikimedia-operations) [2018-07-03T05:26:33Z] <marostegui> Deploy schema change on db1094 T191316 T192926 T89737 T195193 T197459

Change 443547 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/443547

Change 443547 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1079

https://gerrit.wikimedia.org/r/443547

Mentioned in SAL (#wikimedia-operations) [2018-07-03T06:14:24Z] <marostegui> Deploy schema change on db1079 with replication, this will generate lag on s7 on labsdb hosts T191316 T192926 T89737 T195193 T197459

Change 443554 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/443554

Change 443554 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1090:3317

https://gerrit.wikimedia.org/r/443554

Mentioned in SAL (#wikimedia-operations) [2018-07-03T07:13:34Z] <marostegui> Deploy schema change on db1090:3317 T191316 T192926 T89737 T195193 T197459

Change 443577 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098:3317

https://gerrit.wikimedia.org/r/443577

Change 443577 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1098:3317

https://gerrit.wikimedia.org/r/443577

Mentioned in SAL (#wikimedia-operations) [2018-07-03T09:13:13Z] <marostegui> Deploy schema change on db1098:3317 T191316 T192926 T89737 T195193 T197459

Mentioned in SAL (#wikimedia-operations) [2018-07-03T09:58:59Z] <marostegui> Deploy schema change on s3 codfw primary master (db2043) with replication, this will generate lag on s3 codfw T191316 T192926 T89737 T195193 T197459

Marostegui updated the task description. (Show Details)Jul 3 2018, 1:13 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-03T13:19:35Z] <marostegui> Deploy schema change on dbstore1002:s3 T191316 T192926 T89737 T195193

Marostegui added a comment.EditedJul 3 2018, 1:24 PM

s3 eqiad progress

  • labsdb1009
  • labsdb1010
  • labsdb1011
  • dbstore1002
  • db1124
  • db1077
  • db1078
  • db1123
  • db1075
Marostegui updated the task description. (Show Details)Jul 3 2018, 1:27 PM

Change 443763 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/443763

Change 443763 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1101:3317

https://gerrit.wikimedia.org/r/443763

Mentioned in SAL (#wikimedia-operations) [2018-07-04T04:59:02Z] <marostegui> Deploy schema change on db1101:3317 T191316 T192926 T89737 T195193

Change 443782 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/443782

Marostegui updated the task description. (Show Details)Jul 4 2018, 7:57 AM

Change 443782 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1078

https://gerrit.wikimedia.org/r/443782

Mentioned in SAL (#wikimedia-operations) [2018-07-04T08:00:16Z] <marostegui> Deploy schema change on db1078 T191316 T192926 T89737 T195193

Change 443791 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/443791

Change 443791 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1123

https://gerrit.wikimedia.org/r/443791

Mentioned in SAL (#wikimedia-operations) [2018-07-04T08:54:03Z] <marostegui> Deploy schema change on db1123 T191316 T192926 T89737 T195193

Change 443815 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/443815

Change 443815 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Depool db1077

https://gerrit.wikimedia.org/r/443815

Mentioned in SAL (#wikimedia-operations) [2018-07-04T10:46:34Z] <marostegui> Deploy schema change on db1077 with replication, this will generate lag on labs s3 T191316 T192926 T89737 T195193

Marostegui updated the task description. (Show Details)Jul 4 2018, 12:03 PM
Marostegui changed the task status from Open to Stalled.Jul 4 2018, 12:05 PM
Marostegui moved this task from In progress to Blocked external/Not db team on the DBA board.

This is all done - only pending are masters, which will be done once eqiad is a passive DC (T189107) or masters are failed over.

Marostegui updated the task description. (Show Details)Jul 18 2018, 12:58 PM
Marostegui updated the task description. (Show Details)Jul 22 2018, 6:22 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-27T06:53:18Z] <marostegui> Deploy schema change on labtestwiki - T89737

Marostegui updated the task description. (Show Details)Aug 27 2018, 6:54 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-29T06:02:23Z] <marostegui> Deploy schema change on db1083 (labswiki) - T89737

Marostegui updated the task description. (Show Details)Aug 29 2018, 6:02 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-13T08:36:09Z] <marostegui> Deploy schema change on s6 eqiad master (db1061) - T89737

Marostegui changed the task status from Stalled to Open.Sep 13 2018, 8:36 AM
Marostegui moved this task from Blocked external/Not db team to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2018-09-13T08:49:42Z] <marostegui> Deploy schema change on s5 eqiad master (db1070) - T89737

Marostegui updated the task description. (Show Details)Sep 13 2018, 9:04 AM
Marostegui updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2018-09-13T09:08:13Z] <marostegui> Deploy schema change on s8 eqiad master (db1071) - T89737

Mentioned in SAL (#wikimedia-operations) [2018-09-13T09:57:02Z] <marostegui> Deploy schema change on s4 eqiad master (db1068) - T89737

Marostegui updated the task description. (Show Details)Sep 13 2018, 10:31 AM
Marostegui updated the task description. (Show Details)Sep 13 2018, 12:46 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-13T13:18:43Z] <marostegui> Deploy schema change on s2 eqiad master (db1066) - T89737

Marostegui updated the task description. (Show Details)Sep 13 2018, 2:00 PM
Marostegui updated the task description. (Show Details)Sep 14 2018, 6:45 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-14T08:45:51Z] <marostegui> Deploy schema change on s7 eqiad master (db1062) - T89737

Marostegui closed this task as Resolved.Sep 14 2018, 9:24 AM
Marostegui updated the task description. (Show Details)

All done